#############################################################
## Systemwalker Centric Manager AR連携サンプル
## Copyright 2015 FUJITSU LIMITED
#############################################################
#CGIライブラリをロードする
require 'cgi'
require 'csv'


#CGIオブジェクトを作成する
cgi=CGI.new()
#HTTPヘッダーを出力する
print("Access-Control-Allow-Origin: *\n")
puts cgi.header("charset"=>"UTF-8")
ip=cgi['i']

#エラー出力
def error_cgi
	print "Content-Type:text/html;charset=UTF-8\n\n"
	print "<br />*** CGI Error List ***<br />"
	print "#{CGI.escapeHTML($!.inspect)}<br />"
	$@.each {|x| print CGI.escapeHTML(x), "<br />"}
end

begin

node_file='./db/sw_node13ex_list.csv'
error_log='./db/log/cgierr.log'

#構成情報を読み込む
cmd="mpcmcsv -m OUT -o NODE13EX -f "+node_file 
pid = spawn(cmd,STDERR=>error_log)
Process.waitpid pid

outdata=""

if File.exist?(node_file) then
	inventory=[]
	CSV.open(node_file,"r") do |io|
		inventory=io.readlines
	end
	flg=""
	for i in 0..inventory.length-1 do
		cells=inventory[i]
		ip_address=cells[23]
		if ip==ip_address then
			host_name=cells[1]
			if(host_name==nil) then  host_name=" " end
			hyouji_name=cells[2]
			if(hyouji_name==nil) then hyouji_name=" " end
			machine_type=cells[5]
			if(machine_type==nil) then machine_type=" " end
			computer_name=cells[6]
			if(computer_name==nil) then computer_name=" " end
			r_community=cells[7]
			if(r_community==nil) then r_community=" " end
			w_community=cells[8]
			if(w_community==nil) then w_community=" " end
			hard_info=cells[11]
			if(hard_info==nil) then hard_info=" " end
			os_type=cells[13]
			if(os_type==nil) then os_type=" " end
			os_name=cells[14]
			if(os_name==nil) then os_name=" " end
			power_soft=cells[15]
			if(power_soft==nil) then power_soft=" " end
			install_cmgr=cells[18]
			if(install_cmgr==nil) then install_cmgr=" " end
			install_omgr=cells[19]
			if(install_omgr==nil) then install_omgr=" " end
			moji_code=cells[20]
			if(moji_code==nil) then moji_code=" " end
			subnet_mask=cells[24]
			if(subnet_mask==nil) then subnet_mask=" " end
			if_host=cells[22]
			if(if_host==nil) then if_host=" " end
			if_name=cells[25]
			if(if_name==nil) then if_name=" " end
			mac_address=cells[26]
			if(mac_address==nil) then mac_address=" " end
			if_type=cells[27]
			if(if_type==nil) then if_type=" " end
			if_speed=cells[28]
			if(if_speed==nil) then if_speed=" " end
			if_index=cells[29]
			if(if_index==nil) then if_index=" " end
			
			outdata+='"'+host_name+'","'+hyouji_name+'","'+machine_type+'","'+computer_name+'","'+r_community+'","'+w_community+'","'+hard_info+'","'+
					os_type+'","'+os_name+'","'+power_soft+'","'+install_cmgr+'","'+install_omgr+'","'+moji_code+'","'+subnet_mask+'","'+if_host+'","'+
					if_name+'","'+mac_address+'","'+if_type+'","'+if_speed+'","'+if_index+'","'+ip_address+'"'+"\n"
			
			flg="ok"
		end
	end
else
	outdata="nf"
end

if(flg == "") then
	outdata="nf"
end

print(outdata)


rescue
  error_cgi
end
 
