﻿/**
 * Systemwalker Centric Manager AR連携サンプル
 * Copyright 2015 FUJITSU LIMITED
 */
//##############################################################################
//##  グローバル変数を定義する
//##############################################################################

var SW_centricMGR = "no";
var SW_serverList;
var SW_serverInfo;
var SW_eventList;

var SW_Ajax = {};
var SW_url;
var SW_db;
var SW_option;
var SW_status;
var SW_host;
var SW_ip;
var SW_group;
var SW_groupDesc;
var SW_parm;
var SW_num;
var SW_person;
var SW_msg;
var SW_date;
var SW_load=false;
var SW_maxUnit;
var SW_place;

var AR_markerId;
var AR_cameraView;
var AR_workMan;
var AR_leftMenu;
var AR_checked=0;
var AR_eventMessage = new Array();

var D_db;
var D_group;
var D_ip;
var D_host;
var D_num;

//##########################################################################
//##	サンプルアプリケーションを呼び出します。
//##    work.htmlのonloadイベントで呼び出されます。
//##########################################################################
AR_sampleOnload = function() {
	try{
		AR_onLoad();
	}catch(e){
		Apl.log(e);
	}
};


//##########################################################################
//##	データセンター点検作業を始めます
//##########################################################################
AR_onLoad = function(){
	try{
		Apl.cameraStop();

//*****************************************************************************
//*	ログイン画面を表示する
//*****************************************************************************
		var inHtml="<form name='fm1'><table class='loginTable' border=0>"+
			"<tr><td width=35%></td></td><td width=65%></td></tr>"+
			"<tr><td colspan=2 align=center bgcolor=#008000>作業者名とパスワードを入力して下さい。</td></tr>\n"+
			"<tr class='color_blue'><td colspan=2>　</td></tr>"+
			"<tr><td>作業者名：</td><td><select name='uid'><option>点検作業員Ａ</option><option>点検作業員Ｂ</option>"+
			"<option>点検作業員Ｃ</option><option>作業者A</option><option>作業者B</option><option>作業者C</option></select>"+
			"<tr class='color_blue'><td colspan=2>　</td></tr>"+
			"<tr><td>パスワード：</td><td><input type='password' name='psw'></tr>"+
			"<tr class='color_blue'><td colspan=2>　</td></tr>"+
			"<tr><td align=center colspan=2><input type='button' value='ログイン' class='buttonBlue' onclick='checkWorkStart();'>"+
			"</td></tr>"+
			"<tr class='color_blue'><td colspan=2>　</td></tr>"+
			"</table></form>";

		document.getElementById("contentsarea").innerHTML=inHtml;
	}catch(e){
		Apl.log(e);
	};
};

SW_onLoad = function(_host){
	try{
		if(SW_load == false){
			//**********************************************************************
			//*  システムにログインする
			//*  認証処理(本サンプルでは認証処理を省略しています。)
			//**********************************************************************
			SW_load = true;
		 	Apl.onloadWork();

			//認証処理を記載します。
	 	}
	 }catch(e){
	 	Apl.log(e);
	 };
};

checkWorkStart = function(){
	try{
		AR_workMan = document.fm1.uid.value;
		SW_onLoad();
	    document.getElementById("area2").innerHTML="";
		workStart();
	}catch(e){
		Apl.log(e);
	};
};

workStart = function() {
	try{
    	document.getElementById("contentsarea").innerHTML = "";
    	Apl.cameraStart();
		AR_cameraView=true;
	}catch(e){
		Apl.log(e);
	};
};
