﻿/**
 * Systemwalker Centric Manager AR連携サンプル
 * Copyright 2015 FUJITSU LIMITED
 */
//******************************************************************************
//*	システム監視連携(Systemwalker Centric Manager連携)処理
//******************************************************************************

getServerStatus = function(_sv,_opt){
	try{
		//##############################################################################
		//##  サーバの状況を表示する
		//##############################################################################
		if(Apl.operationMode=="serverMode"){
			SW_db=_sv;
			SW_option=_opt;
			SW_url=createUrl("serverlist");
			AjaxRequest(SW_url,getServerDataSuccess);
			document.getElementById("detect").innerHTML="サーバ情報を取得します・・・・・・";
		}else{
			alert("サーバ通信モードで実行してください。");
			theEnd();
			return;
		}
		SW_option = _opt;
	}catch(e){
		Apl.log(e);
	}
};

getServerDataSuccess = function(){
	//##############################################################################
	//## CSVファイルをHTMLに変換して表示する
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
    	//受信したデータを行で区切る
		SW_serverList = xmlHttp.responseText;
		if(SW_serverList.indexOf("CGI Error List") != -1 || SW_serverList.indexOf("ndb") != -1) {
			alert("サーバ一覧の取得に失敗しました。");
			theEnd();
			return;
		} else {
			putServerStatus(SW_serverList);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		theEnd();
		return;
	}
};

putServerStatus = function(_data){
	//##############################################################################
	//## サーバ一覧をHTMLに変換して表示する
	//##############################################################################
	var status,event,parm=null;
	var rows=_data.split('\r').join('').split('\n');
	var cells=rows[0].split(',');
	SW_group = cells[0];
	var eventcnt=cells[1];
	SW_maxUnit = cells[2];
	SW_groupDesc = cells[3];
	var i=rows.length-2;
	var inHtml1="<tr bgcolor='#FFF'>";
	var inHtml2="<tr bgcolor='#00F'>";
	var icon="img/ok.png";
	if(eventcnt!=0){
		icon="img/ng.png";
	}else{
		if(SW_maxUnit != 0){
			icon="img/ok.png";
		}
	}

	var inHtml="<table class='serverStatusTable'><tr align=center bgcolor='#0F0' onclick='chageMenu();'>"+
			"<td bgcolor=#F00 colspan="+i+" align=center><font size=+1><b><p id=title align=center>ラック点検：　"+SW_group+"("+SW_groupDesc+")</p></center></font></b></td>";

	var iconHtml = null;
	if(SW_maxUnit != 0) {
		iconHtml="<td rowspan=2 class='serverStatusCell_2' bgcolor='#FFF'><img src="+icon+"></td></tr>";
	} else {
		iconHtml="<td rowspan=2 class='serverStatusCell_2' bgcolor='#FFF'></td></tr>";
	}
	inHtml = inHtml+iconHtml;

	i=1;
	while (i<rows.length-1){
		//カンマで区切ってセルを取得する
		cells=rows[i].split(',');
		SW_num=cells[0];
		SW_ip=cells[3];
		SW_host=cells[2];
		event=cells[1];
		SW_status=cells[4];
		SW_place=cells[5];
		if(cells[4]==""){
			status=9;
		}else{
			status=parseInt(cells[4]);
		}
		switch (status) {
			case 0: icon="img/ok.png";break;
			case 6: icon="img/mt.png";break;
			default: status=9;break;
		}

		if(event=="ng"){
			if(status<10 && status!=6){
				icon="img/ng.png";
			}
		}

		SW_status=getStatus(status,event);
		inHtml2+="<td class='serverStatusCell_1' onclick='chageMenu();'><b>"+SW_num+"</b></td>";
		parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'","'+SW_num+'","'+SW_place+'"';
		if(status==9){
			inHtml1+="<td align=center class='serverStatusCell_1 color_white'></td>";
		}else{
			inHtml1+="<td align=center class='serverStatusCell_1 color_white' id='n["+SW_num+"]'><img src="+icon+" width=40 onclick='getServerInfo(\"\","+parm+");'></td>";
		}
		i+=1;
	}

	//データを表示する
	var inHtml3="<td><center><input type=button value='閉じる' onclick='closeWin();' class='buttonBlue small'></center></td>";
	inHtml=inHtml+inHtml2+"</tr>"+inHtml1+inHtml3+"</tr></table>";

	var inHtml2="<table class='menuTable'>"+
		"<tr align=center><td class='menuCell'><input type=button value='リスト表示' onclick='getServerStatus(\""+SW_db+"\");' class='buttonBlue middle'></td></tr>"+
		"<tr align=center><td class='menuCell'><input type=button value='操作ログ' onclick='getOperationLog(\"\","+parm+");'  class='buttonBlue middle'></td></tr>"+
		"<tr align=center><td class='menuCell'><input type=button value='作業終了' onclick='theEnd();'  class='buttonBlue middle'></td></tr>"+
		"</table>";

	//データを表示する
	document.getElementById("area1").innerHTML = inHtml;
    document.getElementById("leftmenu").innerHTML = inHtml2;
	AR_leftMenu = inHtml2;
	//マーカ検知を無視する
	AR_cameraView=false;
	//サーバ一覧を表示します
	getServerList(SW_db);

	document.getElementById("detect").innerHTML="サーバ一覧を更新しました。・・・・・・";
};

//サーバ一覧を表示する
getServerList = function(_sv,_opt){
	//##############################################################################
	//## CSVファイルからラック内のサーバ一覧を表示する
	//##############################################################################
	if(Apl.operationMode=="serverMode"){
		SW_db=_sv;
		SW_option=_opt;
		SW_url=createUrl("serverlist");
		AjaxRequest(SW_url,getServerListSuccess);
		document.getElementById("detect").innerHTML="サーバ一覧を取得します・・・・・・";
	}else{
		alert("サーバ通信モードで実行してください。");
		theEnd();
		return;
	}
};

getServerListSuccess = function(){
	//##############################################################################
	//## CSVファイルをHTMLに変換して表示する
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		//受信したデータを行で区切る
		SW_serverList = xmlHttp.responseText;
		if(SW_serverList.indexOf("CGI Error List") != -1 || SW_serverList.indexOf("ndb") != -1) {
			alert("サーバ一覧の取得に失敗しました。");
			theEnd();
			return;
		} else {
			putServerList(SW_serverList);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		theEnd();
		return;
	}
};

//******************************************************************************
//** 取得したサーバ一覧を表示する
//******************************************************************************
putServerList = function(_data){
	//##############################################################################
	//## サーバ一覧をHTMLに変換して表示する
	//##############################################################################
	var status,event,eventHtml;
	var rows=_data.split('\r').join('').split('\n');
	var cells=rows[0].split(',');
	SW_group=cells[0];
	var i=rows.length-2;
	var inHtml1="<table class='serverListTable' border=1>"+
		"<tr><td width=10%></td><td width=10%></td><td width=25%></td><td width=25%></td><td width=15%></td><td width=15%></td></tr>"+
		"<tr class='headerColor' align=center><td colspan=6><br><b>サーバ一覧(詳細)：　"+SW_group+"("+SW_groupDesc+")</b><br></td></tr>"+
		"<tr class='headerColor2' align=center><td>番号</td><td>状態</td><td>サーバ名</td><td>IPアドレス</td><td>状態</td><td>場所</td></tr>\n";
	i=1;
	while (i<rows.length-1){
		//カンマで区切ってセルを取得する
		cells=rows[i].split(',');
		SW_num=cells[0];
		event=cells[1];
		SW_host=cells[2];
		SW_ip=cells[3];
		if(cells[4]==""){
			status=9;
		}else{
			status=parseInt(cells[4]);
		}
		SW_place=cells[5];
		SW_status=getStatus(status,event);	//文字列に変換する

		parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'","'+SW_num+'"';
		parmP='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'","'+SW_num+'","'+SW_place+'"';

		switch (status) {
			case 6: eventHtml="<tr class='color_green' onclick='getServerInfo(\"\","+parmP+");'><td align=center>"+SW_num+"</td><td align=center><img src='img/mt.png' width=25></td>";break;
			case 0: eventHtml="<tr class='color_blue' onclick='getServerInfo(\"\","+parmP+");'><td align=center>"+SW_num+"</td><td align=center><img src='img/ok.png' width=25></td>";break;
			default:eventHtml="<tr class='color_black'><td align=center>"+SW_num+"</td><td align=center></td>";break;
		}

		if(event=="ng" && status!=6){
			eventHtml="<tr class='color_red' onclick='getServerInfo(\"\","+parmP+");'><td align=center>"+SW_num+"</td><td align=center><img src='img/ng.png' width=27></td>";
		}

		inHtml1+=eventHtml+"<td>"+SW_host+"</td><td>"+SW_ip+"</td><td>"+SW_status+"</td><td>"+SW_place+"</td></tr>\n";
		i++;
	}

	SW_ip=null;
	SW_host=null;
	parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'","'+SW_num+'"';

	inHtml1+="</table>";

	//データを表示する
    document.getElementById("rightmenu").innerHTML = "";
    document.getElementById("area2Right").innerHTML = "";
    document.getElementById("area2Left").innerHTML = inHtml1;
	document.getElementById("leftmenu").innerHTML = AR_leftMenu;
	document.getElementById("detect").innerHTML = "サーバ一覧を更新しました・・・・・・";
	AR_cameraView = false;
};

//サーバの詳細情報を表示する
getServerInfo = function(_opt,_sv,_group,_ip,_host,_status,_num,_place){
	try{
		//##############################################################################
		//## Centric Managerのノード情報を取得してサーバの詳細情報を表示する
		//##############################################################################
		SW_option=_opt;
		SW_ip=_ip;
		SW_db=_sv;

		SW_group=null;
		SW_host=null;
		SW_status=null;
		SW_num=_num;
		SW_url=createUrl("serverinfo");
		SW_group=_group;
		SW_host=_host;
		SW_Ajax.status=_status;
		SW_place=_place;

		document.getElementById("detect").innerHTML="サーバ詳細情報を取得します・・・・・・";

		setBgColor_End();
		setBgColor_Start("",SW_num);

		if(Apl.operationMode=="serverMode"){
			AjaxRequest(SW_url,getServerInfoSuccess);
		}else{
			alert("サーバ通信モードで実行してください。");
			theEnd();
			return;
		}
	}catch(e){
		Apl.log(e);
	}
};

//サーバの詳細情報を表示する
getServerInfoSuccess = function(){
	//##############################################################################
	//## HTMLデータを取得して表示する
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		SW_serverInfo = xmlHttp.responseText;
		if(SW_serverInfo.indexOf("CGI Error List") != -1 || SW_serverInfo.indexOf("nf") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			getServerStatus(SW_db);
			return;
		} else {
			putServerInfo(SW_serverInfo);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putServerInfo = function(_data){
	try{
		//##############################################################################
		//## HTMLデータを取得して表示する
		//##############################################################################
		var inHtml1="<table class='serverContentsTable'>";

		//	************************************************************************
		//	**　受信したデータを確認　　　　　　　　　　　　　　　　　　　　　　　***
		//	************************************************************************
		var install_cmgr = null;

		//	************************************************************************
		//	**　受信したCSVからデータを表示する　　　　　　　　　　　　　　　　　***
		//	************************************************************************
		var rows=_data.split('\r').join('').split('\n');

		inHtml1+="<tr><td width=240></td><td width=420>\n";
		//カンマで区切ってセルを取得する
		cells=rows[0].split(',');
		SW_host = cells[0].slice(1,cells[0].length-1);
		var machine_type=cells[2].slice(1,cells[2].length-1);
		var computer_name=cells[3].slice(1,cells[3].length-1);
		var r_community=cells[4].slice(1,cells[4].length-1);
		var w_community=cells[5].slice(1,cells[5].length-1);
		var os_type=cells[7].slice(1,cells[7].length-1);
		var os_name=cells[8].slice(1,cells[8].length-1);
		var power_soft=cells[9].slice(1,cells[9].length-1);
		install_cmgr=cells[10].slice(1,cells[10].length-1);
		var install_omgr=cells[11].slice(1,cells[11].length-1);
		var moji_code=cells[12].slice(1,cells[12].length-1);
		var subnet_mask=cells[13].slice(1,cells[13].length-1);
		var if_host=cells[14].slice(1,cells[14].length-1);
		var if_name=cells[15].slice(1,cells[15].length-1);
		var mac_address=cells[16].slice(1,cells[16].length-1);
		var if_speed=cells[18].slice(1,cells[18].length-1);
		var if_index=cells[19].slice(1,cells[19].length-1);
		SW_ip = cells[20].slice(1,cells[20].length-1);

		switch (SW_Ajax.status) {
			case "保守中": fontcolor="#FFFF00"; break;
			case "障害発生": fontcolor="#FF0000"; break;
			default:  fontcolor="#FFFFFF";
		}
		var stHtml="<tr><td>状態</td><td><font color="+fontcolor+">"+SW_Ajax.status+"</font></td></tr>";
		inHtml1+="<tr class='headerColor'><td colspan=2 align=center><br>ノード情報("+SW_host+")<hr></td></tr><tr><td colspan=2></td></tr>\n"+
			"<tr><td>ホスト名</td><td>"+SW_host+"</td></tr><tr><td>IPアドレス</td><td>"+SW_ip+"</td></tr>"+stHtml+"\n"+
			"<tr><td>マシン属性</td><td>"+machine_type+"</td></tr><tr><td>コンピュータ名</td><td>"+computer_name+"</td></tr>\n"+
			"<tr><td>Rコミュニティ</td><td>"+r_community+"</td></tr><tr><td>Wコミュニティ</td><td>"+w_community+"</td></tr>\n"+
			"<tr><td>OSタイプ</td><td>"+os_type+"</td></tr><tr><td>OS名</td><td>"+os_name+"</td></tr>\n"+
			"<tr><td>電源制御ソフト</td><td>"+power_soft+"</td></tr><tr><td>インストール情報<br>　　Centric Manager</td><td><br>"+install_cmgr+"</td></tr>\n"+
			"<tr><td>　　Operation Manager</td><td>"+install_omgr+"</td></tr><tr><td>文字コード</td><td>"+moji_code+"</td></tr>\n"+
			"<tr><td>サーバ名</td><td>"+if_host+"</td></tr><tr><td>サブネットマスク</td><td>"+subnet_mask+"</td></tr>\n"+
			"<tr><td>インタフェース名</td><td>"+if_name+"</td></tr><tr><td>MACアドレス</td><td>"+mac_address+"</td></tr>\n"+
			"<tr><td>回線速度</td><td>"+if_speed+"</td></tr><tr><td>インタフェースIndex</td><td>"+if_index+"</td></tr>\n"+
			"<tr><td colspan=2 align=left><br></td></tr></table>";

		var parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_Ajax.status+'","'+SW_num+'"';
		var inHtml2="<table class='menuTable'>"+
			"<tr><td class='menuCell'><input type=button value='閉じる' onclick='closeWin()' class='buttonBlue middle'></td></tr>"+
			"<tr><td class='menuCell'><input type=button value='リスト表示' onclick='getServerStatus(\""+SW_db+"\");' class='buttonBlue middle'></td></tr>";
		if(SW_Ajax.status == "障害発生"){
			inHtml2+="<tr><td class='menuCell'><input type=button value='メッセージ' onclick='getEventMessage(\"info\","+parm+")' class='buttonBlue middle'></td></tr>";
		}
		if(install_cmgr!=" "){
			SW_centricMGR = "yes";
			inHtml2+="<tr><td class='menuCell'><input type=button value='インベントリ' onclick='getHardInfo(\"\","+parm+")' class='buttonBlue middle'></td></tr>"+
				"<tr><td class='menuCell'><input type=button value='性能情報' onclick='getPerfLog(\"\","+parm+")' class='buttonBlue middle'></td></tr>";
		}

		if(SW_Ajax.status=="保守中"){
			inHtml2+="<tr><td class='menuCell'><input type=button value='保守作業終了' onclick='maintenance(\"start\","+parm+")' class='buttonBlue middle'></td></tr>";
		}else{
			inHtml2+="<tr><td class='menuCell'><input type=button value='保守作業開始' onclick='maintenance(\"hosyu\","+parm+")' class='buttonBlue middle'></td></tr>";
		}

		document.getElementById("area2Right").innerHTML="";
		document.getElementById("area2Left").innerHTML=inHtml1;
		document.getElementById("leftmenu").innerHTML=inHtml2;
		document.getElementById("detect").innerHTML="サーバ詳細情報表示を更新しました・・・・・・";
	}catch(e){
		Apl.log(e);
	}
};

getEventMessage = function(_opt,_sv,_group,_ip,_host,_status,_num){
	try{
		//##############################################################################
		//## Centric Managerからイベント情報を取得する
		//##############################################################################

		SW_option=_opt;
		SW_db=_sv;
		SW_group=_group;
		SW_ip=_ip;
		SW_host=_host;
		SW_status=_status;

		//対処用変数
		D_db = _sv;
		D_group = _group;
		D_ip = _ip;
		D_host = _host;
		D_num = _num;

		if(Apl.operationMode=="serverMode"){
			SW_url=createUrl("event");
			AjaxRequest(SW_url,getEventMessageSuccess);
			document.getElementById("detect").innerHTML="イベントメッセージを取得します・・・・・・";
		}else{
			alert("サーバ通信モードで実行してください。");
			theEnd();
			return;
		}
	}catch(e){
		Apl.log(e);
	}
};

//イベントメッセージを表示する
getEventMessageSuccess = function(){
	//##############################################################################
	//## 取得したイベント情報を表示する
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		SW_eventList = xmlHttp.responseText;
		if(SW_eventList=="nf"){
			getServerStatus(SW_db);
		}else if(SW_eventList.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		}else{
			//受信したデータを行で区切る
			putEventMessage(SW_eventList);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putEventMessage = function(_data){
	try{
		//##############################################################################
		//## 取得したイベント情報を表示する
		//##############################################################################
		document.getElementById("rightmenu").innerHTML = "";

		var parm;
		var rows=_data.split('\r').join('').split('\n');
		var cells=rows[0].split(',');
		SW_db=cells[2];
		SW_host=cells[3];
		var i=rows.length-2;
		var inHtml1="<table class='messageTable' border=1>"+
			"<tr><td width=160></td><td width=200></td><td width=240></td><td width=100></td></tr>"+
			"<tr><td aligne=center colspan=4 align=center><b>監視イベント一覧("+SW_host+")</b></td></tr>";

		AR_eventMessage.length=0;
		i=1;
		while (i<rows.length-1){
			//カンマで区切ってセルを取得する
			cells=rows[i].split(',');
			var num=cells[1];
			SW_ip=cells[5];
			SW_host=cells[4];
			SW_date=cells[3];
			SW_type=cells[2];
			SW_person=cells[6];
			var memo=cells[7];
			SW_msg=cells[8].slice(1,cells[8].length-1);

			parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'","'+num+'"';

			inHtml1+='<tr><td>番号：　'+num+'</td><td>種別：　'+SW_type+'</td><td width=30%>発生日時：　'+SW_date+
				"</td><td rowspan=4 align=center><input type=button value='対処' onclick='evtutlnt(\"\","+parm+");' class='buttonBlue small'></td></tr>"+
				'<tr><td>ホスト名：　'+SW_host+'</td><td>IPアドレス：　'+SW_ip+'</td><td><br></td></tr>'+
				'<tr bgcolor=#FF00FF><td colspan=3>'+SW_msg+'</td></tr><tr><td>対応者：'+SW_person+
				'</td><td colspan=2>メモ：'+memo+'</td></tr><tr><td colspan=4 bgcolor=#F0FFF0><br></td></tr>';

			i++;
		}

		document.getElementById("area2Right").innerHTML="";
		document.getElementById("area2Left").innerHTML=inHtml1;

		//イベント情報を更新する
		document.getElementById("detect").innerHTML="イベントメッセージ表示を更新しました・・・・・・";
	}catch(e){
		Apl.log(e);
	}
};

//イベントの状態を変更する
evtutlnt = function(_opt,_sv,_group,_ip,_host,_status,_num,_person){
	//##############################################################################
	//## イベントを対処済みにする
	//##############################################################################
	SW_parm=_opt+","+_sv+","+_group+","+_ip+","+_host+","+_status+","+_num;

	SW_option=null;
	SW_db=_sv;
	SW_group=_group;
	SW_ip=_ip;
	SW_host=_host;
	SW_status=_status;
	SW_num=_num;
	flg=confirm("イベント("+SW_num+")を対処済みにしますか？");
	if(flg!=true){
		return(flg);
	}else{
		if(Apl.operationMode=="serverMode"){
			SW_url=createUrl("evtutlnt");
			AjaxRequest(SW_url,evtutlntSuccess);
			document.getElementById("detect").innerHTML="サーバのイベント状態を更新しています・・・・・・";
		}else{
			alert("サーバ通信モードで実行してください。");
			theEnd();
			return;
		}
	}
};

evtutlntSuccess = function(){
	//##############################################################################
	//## イベント対処完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		//受信したデータを表示する
		if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		} else {
			alert("イベント("+SW_num+")を対処済にしました");
			document.getElementById("detect").innerHTML="イベント("+SW_num+")を対処済にしました。・・・・・";
			SW_num = D_num;
			getEventMessage('',D_db,D_group,D_ip,D_host,'',D_num);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

//保守作業を行う
maintenance = function(_opt,_sv,_group,_ip,_host,_status,_num){
	//##############################################################################
	//## サーバの監視を抑止/再開をリクエスト
	//##############################################################################
	SW_db=_sv;
	SW_option=_opt;
	SW_host=_host;
	SW_group=_group;
	SW_ip=_ip;
	SW_status=_status;
	SW_num=_num;

	if(_opt=="start"){SW_msg="再開";}
	else{SW_msg="抑止";}

	flg=confirm("\""+SW_host+"\"の監視を"+SW_msg+"してもいいですか？");
	if(flg!=true){
		return(flg);
	}

	if(Apl.operationMode=="serverMode"){
		SW_url=createUrl("maintenance");
		AjaxRequest(SW_url,maintenanceSuccess);
		document.getElementById("detect").innerHTML="サーバと通信中です・・・・・・";
	}else{
		alert("サーバ通信モードで実行してください。");
		theEnd();
		return;
	}
};

maintenanceSuccess = function(){
	//##############################################################################
	//## サーバの監視を抑止/再開リクエスト完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		if(xmlHttp.responseText!=null){
			if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
				alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
				return;
			} else {
				var cells=xmlHttp.responseText.split(',');
				if(cells[0]=="msg" && cells[1]!=null){
					document.getElementById("detect").innerHTML=cells[1];
					getServerStatus(SW_db);
				}
			}
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

//インベントリ表示(ハードウェア情報)
getHardInfo = function(_opt,_sv,_group,_ip,_host,_status){
	//##############################################################################
	//## サーバのインベントリ情報(ハードウェア情報)をリクエスト
	//##############################################################################
	document.getElementById("rightmenu").innerHTML="";
	SW_option=_opt;
	SW_db=_sv;
	SW_group=_group;
	SW_ip=_ip;
	SW_host=_host;
	SW_status=_status;
	SW_num=null;
	var own = false;
	var url = Property.getCgiServerUrl();
	var array = url.split(/\/\/?/);
	array = array[1].split(":");
	var cgi_host = array[0];
	if(cgi_host==_ip || cgi_host==_host) {
		own = true;
	}

	if(Apl.operationMode=="serverMode"){
		SW_url=createUrl("hardinfo")+"&own="+own;
		AjaxRequest(SW_url,getHardInfoSuccess);
		document.getElementById("detect").innerHTML="サーバと通信中です・・・・・・";
	}else{
		alert("サーバ通信モードで実行してください。");
		theEnd();
		return;
	}
};

//ハードウェア情報を表示する
getHardInfoSuccess = function(){
	//##############################################################################
	//## サーバのインベントリ情報(ハードウェア情報)リクエストの完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		}else if(xmlHttp.responseText=="nf") {
			alert("インベントリ情報は収集されていません。");
			document.getElementById("detect").innerHTML="インベントリ情報は収集されていません。";
			return;
		} else {
			//受信したデータを表示する
			//データを表示する
			putHardInfo(xmlHttp.responseText);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putHardInfo = function(_data){
	//##############################################################################
	//## サーバのインベントリ情報(ハードウェア情報)を表示する
	//##############################################################################
	//カンマで区切ってセルを取得する
	var rows=_data.split('\r').join('').split('\n');
	var cells=rows[0].split(',');

	var invDate=cells[0].slice(1,cells[0].length-1);
	var invServer=cells[1].slice(1,cells[1].length-1);
	var invIp=cells[2].slice(1,cells[2].length-1);
	var invAttr=cells[3].slice(1,cells[3].length-1);
	var invBios=cells[4].slice(1,cells[4].length-1);
	var invComputer=cells[5].slice(1,cells[5].length-1);
	var invDomain=cells[6].slice(1,cells[6].length-1);
	var invCpu=cells[7].slice(1,cells[7].length-1);
	var invCpuNum=cells[8].slice(1,cells[8].length-1);
	var invClock=cells[9].slice(1,cells[9].length-1);
	var invCpuDetail=cells[10].slice(1,cells[10].length-1);
	var invMem=cells[11].slice(1,cells[11].length-1);
	var invSwap=cells[12].slice(1,cells[12].length-1);
	var invDisk=cells[13].slice(1,cells[13].length-1);
	var invDiskFree=cells[14].slice(1,cells[14].length-1);
	var invBendar=cells[15].slice(1,cells[15].length-1);
	var invModel=cells[16].slice(1,cells[16].length-1);
	var invSirNo=cells[17].slice(1,cells[17].length-1);

	var inHtml1="<table class='serverInventoryTable'>"+
				"<tr><td width=10></td><td width=150></td><td></td></tr>\n"+
				"<tr class='headerColor'><td colspan=3 align=center><br>インベントリ情報(ハードウェア情報)<hr><br></td></tr>\n"+
				"<tr><td colspan=3 align=left>管理情報</td></tr><tr><td colspan=2></td></tr>\n"+
				"<tr><td width=10></td><td width=90>更新日</td><td width=400>"+invDate+"</td></tr>\n"+
				"<tr><td></td><td>サーバ名</td><td>"+invServer+"</td></tr><tr><td></td><td>IPアドレス</td><td>"+invIp+"</td></tr>\n"+
				"<tr><td colspan=2></td></tr><tr><td colspan=3 align=left><br>基本情報</td></tr>\n"+
				"<tr><td></td><td>マシン属性</td><td>"+invAttr+"</td></tr><tr><td></td><td>BIOSバージョン</td><td>"+invBios+"</td></tr>\n"+
				"<tr><td></td><td>コンピュータ名</td><td>"+invComputer+"</td></tr><tr><td></td><td>ドメイン名</td><td>"+invDomain+"</td></tr>\n"+
				"<tr><td></td><td>搭載CPU名</td><td>"+invCpu+"</td></tr><tr><td></td><td>搭載CPU数</td><td>"+invCpuNum+"</td></tr>\n"+
				"<tr><td></td><td>搭載CPUクロック数</td><td>"+invClock+"</td></tr><tr><td></td><td>搭載CPU詳細</td><td>"+invCpuDetail+"</td></tr>\n"+
				"<tr><td></td><td>搭載メモリ</td><td>"+invMem+"</td></tr><tr><td></td><td>スワップ領域</td><td>"+invSwap+"</td></tr>\n"+
				"<tr><td></td><td>ディスク割当量</td><td>"+invDisk+"</td></tr><tr><td></td><td>空きディスク容量</td><td>"+invDiskFree+"</td></tr>\n"+
				"<tr><td></td><td>マシンベンダ名</td><td>"+invBendar+"</td></tr><tr><td></td><td>マシンモデル名</td><td>"+invModel+"</td></tr>\n"+
				"<tr><td></td><td>シリアル番号</td><td>"+invSirNo+"</td></tr>\n"+
				"<tr><td colspan=3 align=left><br></td></tr></table>\n";

	parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'"';

	document.getElementById("area2Left").innerHTML=inHtml1;
	document.getElementById("detect").innerHTML="ハードウェアの情報を表示します・・・・・・";

	getSoftInfo(SW_option,SW_db,SW_group,SW_ip,SW_host,SW_status);
};

//インベントリ表示(ソフトウェア情報)
getSoftInfo = function(_opt,_sv,_group,_ip,_host,_status){
	//##############################################################################
	//## サーバのインベントリ情報(ソフトウェア情報)をリクエスト
	//##############################################################################
	SW_option=_opt;
	SW_db=_sv;
	SW_group=_group;
	SW_ip=_ip;
	SW_host=_host;
	SW_status=_status;
	SW_num=null;

	var own = false;
	var url = Property.getCgiServerUrl();
	var array = url.split(/\/\/?/);
	array = array[1].split(":");
	var cgi_host = array[0];
	if(cgi_host==_ip || cgi_host==_host) {
		own = true;
	}

	if(Apl.operationMode=="serverMode"){
		SW_url=createUrl("softinfo")+"&own="+own;
		AjaxRequest(SW_url,getSoftInfoSuccess);
		document.getElementById("detect").innerHTML="サーバと通信中です・・・・・・";
	}else{
		alert("サーバ通信モードで実行してください。");
		theEnd();
		return;
	}
};

//ハードウェア情報を表示する
getSoftInfoSuccess = function(){
	//##############################################################################
	//## サーバのインベントリ情報(ソフトウェア情報)リクエストの完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		}else if(xmlHttp.responseText=="nf"){
			alert("インベントリ情報は収集されていません。");
			document.getElementById("detect").innerHTML="インベントリ情報は収集されていません。";
			return;
		} else {
			//受信したデータを表示する
			//データを表示する
			putSoftInfo(xmlHttp.responseText);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putSoftInfo = function(_data){
	//##############################################################################
	//## サーバのインベントリ情報(ソフトウェア情報)リクエストの完了時に呼ばれる
	//##############################################################################
	//受信したデータを表示する
	parm='"'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'"';

	var inHtml1="<table class='serverInventoryTable softInventory'>"+
				"<tr class='headerColor'><td colspan=2 align=center><br>インベントリ情報(ソフトウェア情報)<hr><br></td></tr>";
	//カンマで区切ってセルを取得する
	var rows=_data.split('\r').join('').split('\n');
		var invHtml="";
		var i=0;
		var invDate="";
		while (i<rows.length-1){
			var cells=rows[i].split(',');
			if(invDate==""){invDate=cells[0].slice(1,cells[0].length-1);}
			var invAppli=cells[1].slice(1,cells[1].length-1);
			invHtml+="<tr><td colspan=2>　　　　"+invAppli+"</td></tr>\n";
			i+=1;
		}
	inHtml1+="<tr><td width=120>更新日</td><td>"+invDate+"</td></tr>"+
	        "<tr><td colspan=2><hr><br>製品情報<br><br></td></tr>"+invHtml+"<tr><td colspan=2><br></td></tr>"+
			"</table>";

	document.getElementById("area2Right").innerHTML=inHtml1;
	document.getElementById("detect").innerHTML="ソフトウェアの情報を表示します・・・・・・";

};

//サーバ性能ログを表示する
getPerfLog = function(_opt,_sv,_group,_ip,_host,_status,_num){
	SW_option=_opt;
	SW_db=_sv;
	SW_group=_group;
	SW_ip=_ip;
	SW_host=_host;
	SW_status=_status;
	SW_num=_num;
	SW_parm='"'+SW_host+'"';
	SW_url=createUrl("listperflog");
	AjaxRequest(SW_url,getPerfLogSuccess);
	document.getElementById("detect").innerHTML="サーバと通信中です・・・・・・";
};

getPerfLogSuccess = function(){
	//##############################################################################
	//## サーバ性能取得時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		}else if(xmlHttp.responseText=="nf") {
			alert(SW_host+"のサーバ性能は取得されていません");
			document.getElementById("detect").innerHTML=SW_host+"のサーバ性能は取得されていません";
			return;
		} else {
			putPerfLog(xmlHttp.responseText);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putPerfLog = function(_data){
	//##############################################################################
	//## サーバ性能取得時に呼ばれる
	//##############################################################################
	try{
		document.getElementById("rightmenu").innerHTML = "";
		//################################################################################
		//## CPU使用率、メモリ使用率、ディスク使用率を表示する
		//################################################################################
		//受信したデータを行で区切る
		SW_parm='"'+SW_option+'","'+SW_db+'","'+SW_group+'","'+SW_ip+'","'+SW_host+'","'+SW_status+'"';
		var rows=_data.split('\r').join('').split('\n');
		var cells=rows[0].split(',');
		var host=cells[0].slice(1,cells[0].length-1);
		var recnum=parseFloat(cells[2]);
		var cells=rows[1].split(',');
		var date=cells[0].slice(1,cells[0].length-1);

		var inHtml1="<table align=center class='graphTable'>"+
			"<tr class='headerColor'><td colspan=3 width=580><center><br><b>サーバ性能グラフ("+SW_host+")</b></center><br></td></tr>"+
			"<tr><td colspan=3 style='padding:0px 0px;'><canvas id='canvas1' width=580 height=350 class='canvas'></canvas></td></tr>"+
			"<tr class='color_blue'><td align=center><img src=img/cpuLine.png>　CPU使用率</td><td align=center><img src=img/memLine.png>　メモリ使用率</td><td align=center><img src=img/diskLine.png>　ディスク使用率</td></tr>"+
			"</table>";
		var inHtml2="<table border=1 class='perfListTable'>"+
			"<tr><td width=120></td><td width=120></td><td width=130></td><td width=130></td></tr>"+
			"<tr class='headerColor'><td aligne=center colspan=5 align=center><br><b>サーバ性能("+host+")</b>　　　"+date+"<br><br></td></tr>"+
			"<tr class='color_blue' align=center><td>時刻</td><td>CPU使用率</td><td>メモリ使用率</td><td>ディスク使用率</td></tr>";

		var maxcpu=1;
		var mincpu=1;
		var maxmem=1;
		var minmem=1;
		var maxdisk=1;
		var mindisk=1;
		var totalcpu=0;
		var totalmem=0;
		var totaldisk=0;
		var maxcpucells=rows[maxcpu].split(',');
		var mincpucells=rows[mincpu].split(',');
		var maxmemcells=rows[maxmem].split(',');
		var minmemcells=rows[minmem].split(',');
		var maxdiskcells=rows[maxdisk].split(',');
		var mindiskcells=rows[mindisk].split(',');

		var label_data=[];
		var cpu_data=[];
		var mem_data=[];
		var disk_data=[];

		var i,j,k,l,m;
		l=24;
		m=1;
		k=recnum;
		//################################################################################
		//## グラフ用のデータを作成する
		//################################################################################
		var grafData={
			labels:label_data,
			datasets:[
				{	fillColor:			"#FFF",
					strokeColor:		"#FFF",
					pointColor:			"#FFF",
					pointStrokeColor:	"#FFF",
					data:cpu_data
				},
				{	fillColor:			"#0F0",
					strokeColor:		"#0F0",
					pointColor:			"#0F0",
					pointStrokeColor:	"#0F0",
					data:mem_data
				},
				{	fillColor:			"#00F",
					strokeColor:		"#00F",
					pointColor:			"#00F",
					pointStrokeColor:	"#00F",
					data:disk_data
				}
			]
		};

		j=l;
		for(i = 1; i <= l+1; i++){
			//カンマで区切ってセルを取得する
			if(k > 0){
				cells=rows[i].split(',');
				if(date==cells[0].slice(1,cells[0].length-1)){
					m=i;
					totalcpu+=parseFloat(cells[2]);
					totalmem+=parseFloat(cells[3]);
					totaldisk+=parseFloat(cells[4]);

					var cpu=parseFloat(cells[2]);
					var cpumax=parseFloat(maxcpucells[2]);
					if(cpu>cpumax){
						var maxcpu=i;
						var maxcpucells=rows[maxcpu].split(',');
					}
					var cpumin=parseFloat(mincpucells[2]);
					if(cpu<cpumin){
						var mincpu=i;
						var mincpucells=rows[mincpu].split(',');
					}
					var mem=parseFloat(cells[3]);
					var memmax=parseFloat(maxmemcells[3]);
					if(mem>memmax){
						var maxmem=i;
						var maxmemcells=rows[maxmem].split(',');
					}
					var memmin=parseFloat(minmemcells[3]);
					if(mem<memmin){
						var minmem=i;
						var minmemcells=rows[minmem].split(',');
					}
					var disk=parseFloat(cells[4]);
					var diskmax=parseFloat(maxdiskcells[4]);
					if(disk>diskmax){
						var maxdisk=i;
						var maxdiskcells=rows[maxdisk].split(',');
					}
					var diskmin=parseFloat(mindiskcells[4]);
					if(disk<diskmin){
						var mindisk=i;
						var mindiskcells=rows[mindisk].split(',');
					}

					cpu=parseFloat(cells[2])/100;
					mem=parseFloat(cells[3])/100;
					disk=parseFloat(cells[4])/100;

					label_data[j]=cells[1].slice(1,cells[1].length-1);
					cpu_data[j]=cpu;
					mem_data[j]=mem;
					disk_data[j]=disk;
					k--;
				}else{
					k=0;
					label_data[j]="";
					cpu_data[j]=0;
					mem_data[j]=0;
					disk_data[j]=0;
				}
			}else{
				label_data[j]="";
				cpu_data[j]=0;
				mem_data[j]=0;
				disk_data[j]=0;
			}

			j--;

		}

		//データを表示する
		totalcpu=Math.round((totalcpu/(m)/100)*100);
		totalmem=Math.round((totalmem/(m)/100)*100);
		totaldisk=Math.round((totaldisk/(m)/100)*100);

		totalcpu=totalcpu/100;
		totalmem=totalmem/100;
		totaldisk=totaldisk/100;

		cells=rows[1].split(',');
		var starttime=cells[0].slice(1,cells[0].length-1)+"　"+cells[1].slice(1,cells[1].length-1);
		cells=rows[m].split(',');
		var endtime=cells[0].slice(1,cells[0].length-1)+"　"+cells[1].slice(1,cells[1].length-1);
		inHtml2+="<tr class='color_blue'><td>最大値</td><td align=right>"+
				"　"+parseFloat(maxcpucells[2])/100+"　[%]</td><td align=right>"+"　"+parseFloat(maxmemcells[3])/100+"　[%]</td><td align=right>"+
				"　"+parseFloat(maxdiskcells[4])/100+"　[%]</td></tr>"+
				"<tr class='color_blue'><td>最大値時刻</td><td align=center>"+
				"　"+maxcpucells[1].slice(1,maxcpucells[1].length-1)+"</td><td align=center>"+
				"　"+maxmemcells[1].slice(1,maxmemcells[1].length-1)+"</td><td align=center>"+
				"　"+maxdiskcells[1].slice(1,maxdiskcells[1].length-1)+"</td></tr>"+
				"<tr class='color_blue'><td>最小値</td><td align=right>"+
				"　"+parseFloat(mincpucells[2])/100+"　[%]</td><td align=right>"+"　"+parseFloat(minmemcells[3])/100+"　[%]</td><td align=right>"+
				"　"+parseFloat(mindiskcells[4])/100+"　[%]</td></tr>"+
				"<tr  class='color_blue'><td>最小値時刻</td><td align=center>"+
				"　"+mincpucells[1].slice(1,mincpucells[1].length-1)+"</td><td align=center>"+
				"　"+minmemcells[1].slice(1,minmemcells[1].length-1)+"</td><td align=center>"+
				"　"+mindiskcells[1].slice(1,mindiskcells[1].length-1)+"</td></tr>"+
				"<tr  class='color_blue'><td>平均値</td><td align=right>"+"　"+totalcpu+"　[%]</td><td align=right>"+"　"+totalmem+"　[%]</td><td align=right>"+"　"+totaldisk+"　[%]</td></tr>"+
				"<tr  class='color_blue'><td>平均値時刻</td><td colspan=3 style='text-align:leftr;'>　"+endtime+"　～　<br>　　　　　　　"+starttime+"</td></tr></table>";

		var option={bezierCurve:false,datasetFill: false,scaleLineWidth:3,scaleLineColor:"#00F",
					scaleGridLineColor:"#FFF",scaleOverlay:true,
					scaleOverride:true,scaleSteps:10,scaleStepWidth:10,scaleStartValue:0,
					scaleFontSize:16,scaleFontColor:"#FFF",scaleFontFamily:'Arial',scaleFontStyle:"itaric",
					datasetStrokeWidth:6,scaleLabel:"<%=value%>%",
					scaleShowLabels:true,datasetStroke:true};

		document.getElementById("area2Left").innerHTML=inHtml1;
		document.getElementById("area2Right").innerHTML=inHtml2;
		document.getElementById("detect").innerHTML="性能情報を表示します・・・・・・";

		var ctx=document.getElementById("canvas1").getContext("2d");
		new Chart(ctx).Line(grafData,option);
	}catch(e){
		Apl.log(e);
	}
};

//操作ログを表示する
getOperationLog = function(_opt,_sv,_group){
	//##############################################################################
	//## 操作ログをリクエスト
	//##############################################################################
	SW_option=_opt;
	SW_db=_sv;
	SW_group=_group;
	SW_ip=null;
	SW_host=null;
	SW_status=null;
	SW_num=null;
	SW_url=createUrl("history");

	AjaxRequest(SW_url,getOperationLogSuccess);
	document.getElementById("detect").innerHTML="サーバと通信中です・・・・・・";
};

getOperationLogSuccess = function(){
	//##############################################################################
	//## 操作ログリクエストの完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		if(xmlHttp.responseText.indexOf("CGI Error List") != -1) {
			alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
			return;
		} else if(xmlHttp.responseText=="nf") {
			alert("操作ログはありません。");
		} else {
			putOperationLog(xmlHttp.responseText);
		}
	} else if(xmlHttp.readyState==4 && xmlHttp.status!=200) {
		alert("操作に失敗しました。再度操作してください。\n再度操作しても失敗する場合は環境構築手順を見直してください。");
		return;
	}
};

putOperationLog = function(_data){
	//##############################################################################
	//## 操作ログリクエストの完了時に呼ばれる
	//##############################################################################
	//受信したデータを表示する
	//データを表示する
	var inHtml="<table class='messageTable'>"+_data+"</table>";
	document.getElementById("area2Left").innerHTML=inHtml;
	document.getElementById("detect").innerHTML="操作ログを表示します・・・・・・";
};

theEnd = function(){
	try{
    	document.getElementById("area2Right").innerHTML="";
	    document.getElementById("area2Left").innerHTML="";
    	document.getElementById("leftmenu").innerHTML="";
		document.getElementById("contentsarea").innerHTML="";
		finalCheck();
	}catch(e){
		Apl.log(e);
	}
};

finalCheck = function(){
	try{
		Apl.cameraStop();
		history.go(-1);
		return;
	}catch(e){
		Apl.log(e);
	}
};

createUrl = function(_cgi){
	var url=Property.getCgiServerUrl()+_cgi+".rb?";
	if(SW_option!=null){url+="&o="+SW_option;}
	if(SW_db!=null){url+="&sv="+SW_db;}
	if(SW_group!=null){url+="&g="+SW_group;}
	if(SW_ip!=null){url+="&i="+SW_ip;}
	if(SW_host!=null){url+="&h="+SW_host;}
	if(SW_status!=null){url+="&s="+SW_status;}
	if(SW_num!=null){url+="&n="+SW_num;}
	return(url);
};

getStatus = function(_status,_event){
	// ステータスコードを文字に変換する
	var status;
	switch (_status) {
		case 0: status="運用中"; break;
		case 6: status="保守中"; break;
		case 9: status="未定義"; break;
		default:  status="未定義";
	}
	if(typeof _event!="undefined" && _event=="ng"){
		if(_status<10 && _status!=6){
			status="障害発生";
		}
	}
	return(status);
};

putStatus = function(_status){
	// ステータスコードを文字に変換する
	var status;
	switch (_status) {
		case "運用中":		status=0; break;
		case "保守中":		status=6; break;
		case "未定義":		status=9; break;
		default:  status=9;
	}

	return(status);
};

setBgColor_Start = function(_opt,_num){
	try{
		if(typeof _num!="undefiend"){
			SW_Ajax.num = _num;
				document.getElementById('n['+_num+']').style.backgroundColor="rgba(0,0,255,0.5)";
		}
	}catch(e){
		Apl.log(e);
	}
};

setBgColor_End = function(){
	try{
		if(SW_Ajax.num != null){
			document.getElementById('n['+SW_Ajax.num+']').style.backgroundColor="rgba(255,255,255,1.0)";
		}
	}catch(e){
		Apl.log(e);
	}
};

//サーバ間通信
AjaxRequest = function(_url,_exit){
	//##############################################################################
	//## 非同期送信リクエストを実行する
	//##############################################################################
	try{
		if(window.XMLHttpRequest){
			xmlHttp=new XMLHttpRequest();
		}else{
			if(window.ActiveObject){
				ActiveObject= new ActiveObject("Microsoft.XMLHTTP");
			}else{
				xmlHttp=null;
			}
		}
		if(_exit==null){
			xmlHttp.onreadystatechange=AjaxExit;
		} else {
			xmlHttp.onreadystatechange=_exit;
		}
		xmlHttp.open("get",_url,true);
		xmlHttp.send(null);
	}catch(e){
		Apl.log(e);
	}
};

//受信データを表示
AjaxExit = function(){
	//##############################################################################
	//## 非同期通信完了時に呼ばれる
	//##############################################################################
	if(xmlHttp.readyState==4 && xmlHttp.status==200){
		//受信したデータを表示する
		document.getElementById("area2Left").innerHTML=xmlHttp.responseText;
	}
};

//画面をクリアする
closeWin = function(){
	document.getElementById("contentsarea").innerHTML="";
	document.getElementById("area2Left").innerHTML="";
	document.getElementById("area2Right").innerHTML="";
};
