#############################################################
## Systemwalker Centric Manager AR連携サンプル
## Copyright 2015 FUJITSU LIMITED
#############################################################
#CGIライブラリをロードする
require 'cgi'
require 'date'
cgi=CGI.new()
print("Access-Control-Allow-Origin: *\n")
puts cgi.header("charset"=>"UTF-8")

#送信されたフォームの値を得る
num=cgi["n"]
host=cgi["h"]
ip=cgi["i"]
rack=cgi["g"]

userid=ENV['USER']
print userid
#今日の日時を取得
d=Time.now
str=d.to_s
i=str.index("+")
nen=str[0..i-2]

#エラー出力
def error_cgi
  print "Content-Type:text/html;charset=UTF-8\n\n"
  print "<br />*** CGI Error List ***<br />"
  print "#{CGI.escapeHTML($!.inspect)}<br />"
    $@.each {|x| print CGI.escapeHTML(x), "<br />"}
end

begin

cmd="evtutlnt ustatus -t "+num+" -s Dealt"
pid = spawn(cmd,STDERR=>STDOUT)
Process.waitpid pid

file_log='./db/log/sw_ar.log'
db_csv='./db/eventlog.csv'
error_log='./db/log/cgierr.log'

d=Date.today
d=d-1
str=d.strftime("%y%m%d000000")
cmd="opmtrcsv -st "+str+" -o "+db_csv+" -l IpAddr Status"
spawn(cmd,STDERR=>error_log)

#ログを追加します
log_data=File.open(file_log,'a')
log_data.puts nen+"\t"+rack+"\t"+host+"("+ip+")\tイベント("+num+")を対処済みにしました。\n" 
log_data.close

rescue
  error_cgi
end

